=== debian/changelog ===
ros-galactic-tf2-eigen-kdl (0.17.5-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.4-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.1-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.17.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.16.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.15.1-1focal) focal; urgency=high

  * fix order of find eigen3_cmake_module & find eigen3 (#344 <https://github.com/ros2/geometry2/issues/344>)
  * Contributors: Ahmed Sobhy

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-tf2-eigen-kdl (0.15.0-1focal) focal; urgency=high

  * Update package.xml (#333 <https://github.com/ros2/geometry2/issues/333>)
  * Port eigen_kdl.h/cpp to ROS2 (#311 <https://github.com/ros2/geometry2/issues/311>)
  * Contributors: Jafar Abdi

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000
